#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 keys
version:              3.12.4
visibility:           public
id:                   keys-3.12.4-9IgXyN7t8CV37Fd30YfZvc
key:                  keys-3.12.4-9IgXyN7t8CV37Fd30YfZvc
license:              BSD-3-Clause
copyright:            Copyright (C) 2011-2016 Edward A. Kmett
maintainer:           Edward A. Kmett <ekmett@gmail.com>
author:               Edward A. Kmett
stability:            provisional
homepage:             http://github.com/ekmett/keys/
synopsis:             Keyed functors and containers
description:
    This package provides a bunch of ad hoc classes for accessing parts of a container.

    In practice this package is largely subsumed by the
    <https://hackage.haskell.org/package/lens lens package>,
    but it is maintained for now as it has much
    simpler dependencies.

category:             Data Structures, Containers
abi:                  9df25580b927e7a1eaf9ace046f85165
exposed:              True
exposed-modules:      Data.Key
import-dirs:          /usr/lib/ghc-9.4.8/site-local/keys-3.12.4
library-dirs:         /usr/lib/ghc-9.4.8/site-local/keys-3.12.4
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/keys-3.12.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-keys
hs-libraries:         HSkeys-3.12.4-9IgXyN7t8CV37Fd30YfZvc
depends:
    array-0.5.4.0 base-4.17.2.1 comonad-5.0.9-CYRf3Ulu8In4y9mFpuJfXr
    containers-0.6.7 free-5.2-AjBZvtZ45vgHOpqwk2u8EN
    hashable-1.4.4.0-Jc2uKL4S7Fl9QLNJZYpfiY
    semigroupoids-6.0.1-7n3aaPCHmN5GglciF51V9Q
    tagged-0.8.9-KMS3sfDasKWItFZcxfaN6C transformers-0.5.6.2
    transformers-compat-0.7.2-F1TSDgHxVH372cWL2D3XnQ
    unordered-containers-0.2.20-3jxCiK1Dn5HHqgJhQ3B9SH

haddock-interfaces:   /usr/share/doc/haskell-keys/html/keys.haddock
haddock-html:         /usr/share/doc/haskell-keys/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

